Tags
Criar tag
POST
https://api.kinescope.io/v1/tagsCria uma tag. Em caso de sucesso, retorna o objeto criado.
Request body (json)
{
"tag": "tag1"
}Obter tags
GET
https://api.kinescope.io/v1/tagsRetorna a lista de tags. Os resultados são paginados e podem ser filtrados por parâmetros de consulta.
Responses
{
"meta": {
"offset": 0,
"limit": 10,
"total": 8,
"total_count": 0,
"order": {
"created_at": "asc"
},
"parent_id": null
},
"data": [
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"tag": "tag",
"created_by_user_name": "Example User",
"created_at": "2021-09-15T11:27:39.866471Z",
"updated_at": null,
"archived_at": null,
"media_count": 0
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"tag": "https://www.example.com/",
"created_by_user_name": "Example User",
"created_at": "2021-11-23T15:36:16.588014Z",
"updated_at": null,
"archived_at": null,
"media_count": 1
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"tag": "asdsad",
"created_by_user_name": "Example User",
"created_at": "2021-12-20T11:57:46.800006Z",
"updated_at": null,
"archived_at": null,
"media_count": 3
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"tag": "new tag",
"created_by_user_name": "Example User",
"created_at": "2021-12-20T11:59:08.124924Z",
"updated_at": null,
"archived_at": null,
"media_count": 1
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"tag": "https://blog.example.com/",
"created_by_user_name": "Example User",
"created_at": "2021-12-29T10:54:21.502984Z",
"updated_at": null,
"archived_at": null,
"media_count": 0
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"tag": "analytics",
"created_by_user_name": "Example User",
"created_at": "2022-02-19T11:29:46.559027Z",
"updated_at": null,
"archived_at": null,
"media_count": 4
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"tag": "produto2",
"created_by_user_name": "Example User",
"created_at": "2022-02-19T12:58:09.461328Z",
"updated_at": null,
"archived_at": null,
"media_count": 1
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"tag": "nova tag 2",
"created_by_user_name": "Example User",
"created_at": "2023-01-13T10:35:50.150348Z",
"updated_at": null,
"archived_at": null,
"media_count": 1
}
]
}Atualizar tag
PUT
https://api.kinescope.io/v1/tags/:tag_idAtualiza a tag indicada. Só os campos enviados no corpo da requisição são alterados; os demais ficam como estão.
Request body (json)
{
"tag": "tag1",
"archived": true
}Excluir tag
DELETE
https://api.kinescope.io/v1/tags/:tag_idExclui a tag permanentemente. A ação não pode ser desfeita.